class CreateLogins < ActiveRecord::Migration[8.0]
  def change
    create_table :logins do |t|
      t.belongs_to :user, foreign_key: true
      t.string :platform, null: false
      t.jsonb :credentials, default: '{}'
      t.datetime :last_refresh_at, default: nil
      t.datetime :dead_since, default: nil
      t.timestamps
    end
  end
end
